BadTransition in ubuntuone-syncdaemon

Bug #420354 reported by moma on 2009-08-28
This bug affects 286 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Critical
John Lenton
ubuntuone-client (Ubuntu)
High
dobey

Bug Description

Binary package hint: ubuntuone-client

Automatic bugreport from Apport.

ProblemType: Bug
Architecture: amd64
Date: Fri Aug 28 09:11:56 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: ubuntuone-client 0.93.0-0ubuntu1
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-8.28-generic
SourcePackage: ubuntuone-client
Uname: Linux 2.6.31-8-generic x86_64

Related branches

moma (osmoma) wrote :
dobey (dobey) on 2009-09-02
Changed in ubuntuone-client (Ubuntu):
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Rodney Dawes (dobey)
milestone: none → karmic-alpha-5
dobey (dobey) wrote :

I hereby declare this bug to be the bug which all the BadTransition bugs shall be named duplicates of.

Changed in ubuntuone-client (Ubuntu):
status: In Progress → Fix Committed
Changed in ubuntuone-client:
status: New → Fix Committed
status: Fix Committed → Fix Released
importance: Undecided → Critical
dobey (dobey) on 2009-09-02
summary: - Ubuntuone Karmic: Automatic bugreport from Apport.
+ BadTransition in ubuntuone-syncdaemon
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 0.94.0-0ubuntu1

---------------
ubuntuone-client (0.94.0-0ubuntu1) karmic; urgency=low

  * New upstream release.
    - Handle issues with multiple connections better (LP: #420354)

 -- Rodney Dawes <email address hidden> Wed, 02 Sep 2009 10:51:00 -0400

Changed in ubuntuone-client (Ubuntu):
status: Fix Committed → Fix Released
dobey (dobey) on 2009-09-02
Changed in ubuntuone-client:
assignee: nobody → John Lenton (chipaca)
dobey (dobey) wrote :

Changing this to confirmed. Lots of people are still getting it with >= 0.94.0. :-/

Changed in ubuntuone-client:
status: Fix Released → Confirmed
Changed in ubuntuone-client (Ubuntu):
status: Fix Released → Confirmed
milestone: karmic-alpha-5 → none
importance: Critical → High
John Lenton (chipaca) on 2009-09-11
Changed in ubuntuone-client:
status: Confirmed → In Progress
John Lenton (chipaca) on 2009-09-18
Changed in ubuntuone-client:
importance: Critical → High
Joshua Hoover (joshuahoover) wrote :

This is still an issue for a number of users. It's unclear whether it's preventing people from using Ubuntu One at all or whether it's sporadic, but it's definitely an issue that we need address soon.

Hi Joshua, if it helps I'll happily say clearly that for this user, it's an issue that's preventing the use of U1 entirely.

On Fri, Sep 25, 2009 at 10:51:33PM -0000, Raphael J. Schmid wrote:
> Hi Joshua, if it helps I'll happily say clearly that for this user, it's
> an issue that's preventing the use of U1 entirely.

interesting! you're getting this every time? I need to talk with you.

No, seriously, this is hard to reproduce for me, so if you're getting
this every time, I need to know what you're doing right :)

Well, TBH it made me loose interest in U1 so I haven't started it up in quite a while now. BUT if you ask me, this has something to do with having my ~/.tomboy folder in ~/Ubuntu\ One (reason being, I always get lots of .u1conflict files in there when I run U1). If it is any help to you I'll gladly make a copy of it and mess around. Just tell me what to do so it produces usable debugging info...

huitema (jelle-huitema) wrote :

The crash bug is gone at my 2 computers running Ubuntu 9.04.

But an other problem is present, three big files will not upload.
Result:
file #1. u1conflict file is written, original file is now empty, .conflict file is the original.
file #2. u1conflict empty file, original file is lost.
file #3. one file untouched.

At my other (client) computer three empty files are written with the same name as original big files.

I hope this info helps a bit!
Greetings,
Jelle Huitema.

Anthony Hook (anthonyhook) wrote :

I am having the same problems with the .u1conflict being appended to some files. They end up getting sunk with the other netbook I use it on as new files. Sometimes the same files have the .u1conflict and not others. I haven't played around with it enough to get it down to a science; I hope this information is helpful!

Thanks,

Anthony Hook

John Lenton (chipaca) wrote :

On Sat, Sep 26, 2009 at 10:18:40AM -0000, Raphael J. Schmid wrote:
> Well, TBH it made me loose interest in U1 so I haven't started it up in
> quite a while now. BUT if you ask me, this has something to do with
> having my ~/.tomboy folder in ~/Ubuntu\ One (reason being, I always get
> lots of .u1conflict files in there when I run U1). If it is any help to
> you I'll gladly make a copy of it and mess around. Just tell me what to
> do so it produces usable debugging info...

this bug is still live because there are situations in which the
BadTransition can be fired. The bug that had people hitting this error
_all the time_ has been fixed since 0.94 IIRC.

A lot of spurious conflict sources have been pruned since then
also. We know there still are situations where you might get a
.u1conflict, some of them avoidable, but it should be a lot less
pervasive now.

So if you could update and check, that would be awesome.

Thanks,

tags: added: ubuntuone-karmic
Changed in ubuntuone-client:
importance: High → Critical
John Lenton (chipaca) wrote :

On Sat, Sep 26, 2009 at 03:19:44PM -0000, huitema wrote:
> The crash bug is gone at my 2 computers running Ubuntu 9.04.

good!

>
> But an other problem is present, three big files will not upload.
> Result:
> file #1. u1conflict file is written, original file is now empty, .conflict file is the original.
> file #2. u1conflict empty file, original file is lost.
> file #3. one file untouched.
>
> At my other (client) computer three empty files are written with the
> same name as original big files.

This is another issue. Could you file it separately? Thanks!

John Lenton (chipaca) wrote :

On Wed, Sep 30, 2009 at 02:11:49AM -0000, Joshua Hoover wrote:
> ** Tags added: ubuntuone-karmic
>
> ** Changed in: ubuntuone-client
> Importance: High => Critical

why is the issue Critical again? Maybe I'm missing something (could
you elaborate?), but as far as I can tell it has been fixed for most
users, and what remains, while certainly an issue, isn't stopping
people from using the service.

Joshua Hoover (joshuahoover) wrote :

This is marked as Critical as I keep seeing more of these and users believe the client isn't working for them, whether it is or it isn't. Most are seeing "Fatal Errors" and this leaves them with the impression that there is something seriously wrong (errors with the label "fatal" tend to do this) with Ubuntu One software.

John Lenton (chipaca) wrote :

I've got a branch in progress that fixes the base issue, but breaks in other ways (so it needs more work). The work has suffered from delays due to other (scalability) work being even more critical than this.

John Lenton (chipaca) on 2009-10-08
Changed in ubuntuone-client (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
Changed in ubuntuone-client:
status: In Progress → Fix Committed
dobey (dobey) on 2009-10-08
Changed in ubuntuone-client (Ubuntu):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.0.0-0ubuntu1

---------------
ubuntuone-client (1.0.0-0ubuntu1) karmic; urgency=low

  * New upstream release.
    - Limit log messages, file size, and rotate more often (LP: #435137)
    - Rotate oauth-login.log and cap the file size (LP: #445514)
    - Remove pycurl usage in favor of urllib and better errors (LP: #411029)
    - Save the syncdaemon settings for bw limiting (LP: #418882)
    - Fix NoSuchDatabase when pairing desktopcouch (LP: #438411)
    - Fix IOError when launching preferences window (LP: #441039)
    - Update icons to remove Ubuntu logo, better names (LP: #434886)
    - Use ngettext for the possibly singular notification (LP: #449269)
    - Only create Places bookmark when first authorizing (LP: #397749)
    - Don't always recreate the bookmark (LP: #401211)
    - Handle showing emblems better (LP: #440839)
    - Remove the System->Preferences menu item (LP: #443342)
    - Remove NotOnlineError usage (LP: #404550)
    - Set a default share name in the Nautilus sharing UI (LP: #369488)
    - Simplify some state handling (LP: #420354)

 -- Rodney Dawes <email address hidden> Mon, 28 Sep 2009 18:15:00 -0400

Changed in ubuntuone-client (Ubuntu):
status: In Progress → Fix Released
dobey (dobey) on 2009-10-13
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
Ivan Sagalaev (isagalaev) wrote :

I'm downloading an Ubuntu update now. Where to look a version of ubuntuone-client in which the fix was released?

bataak (bataak) wrote :

I don't know how to inactivate ubuntuone-synchronized symbol from my every folders?

Matt Griffin (mattgriffin) wrote :

Hi bataak - We just released a new version of the client software that should fix the symbol issue for you.

velimir (veljo-brzi) on 2009-10-14
Changed in ubuntuone-client (Ubuntu):
status: Fix Released → Confirmed
Changed in ubuntuone-client:
status: Fix Released → Confirmed
dobey (dobey) wrote :

Hi velimir. Why did you change this from Fix Released to Confirmed? Have you filed a report that was marked a duplicate of this one, and which included logs showing this error occurring with ubuntuone-client 1.0.1?

Changed in ubuntuone-client:
status: Confirmed → Fix Released
Changed in ubuntuone-client (Ubuntu):
status: Confirmed → Fix Released
Maciej Bęcławski (hakkatuka) wrote :

I just got this with ubuntuone v1.0.2.

2009-10-20 12:20:24,572 - ubuntuone.SyncDaemon.State - ERROR - READY_WITH_NETWORK_WITH_METAQ --[SYS_SET_CAPABILITIES_ERROR]--> ERROR!!!
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/ubuntuone/syncdaemon/state.py", line 61, in handle_default
    next_state = self.state.next(event)
  File "/usr/lib/python2.6/dist-packages/ubuntuone/syncdaemon/states.py", line 100, in next
    % (self.name, event))
BadTransition: State READY_WITH_NETWORK_WITH_METAQ can't handle the SYS_SET_CAPABILITIES_ERROR event

Sajeev. C (sajeevclub) on 2009-10-30
Changed in ubuntuone-client:
status: Fix Released → Fix Committed
tags: added: lucid-foundations
Changed in ubuntuone-client:
status: Fix Committed → In Progress
status: In Progress → Fix Released
Changed in ubuntuone-client (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
JamesTM (jmugauri) wrote :

Hi, all

I have had a "Capabilities Mismatch" error with the client. On every
boot, since fix was commited/released as announced below. I updated
the client as suggested by Update Manager, and have the error ever
since. It announces that: I may have installed a newer version of the
client, for which the server does not yet provide support. I am
promised that a new version of the server should be available soon,
and have been patient while we update as asked.

However, it has been over a month now. The logs merely confirm this:

- ubuntuone.SyncDaemon.Main - NOTE - ---- MARK (state:
CAPABILITIES_MISMATCH; queues: metadata: 3; content: 0; hash: 0,
fsm-cache: hit=9385 miss=778) ----

Does anyone know what could be wrong?

JTM

On Fri, Nov 13, 2009 at 9:21 AM, francesco.pascolini
<email address hidden> wrote:
> ** Changed in: ubuntuone-client
>       Status: Fix Committed => In Progress
>
> ** Changed in: ubuntuone-client
>       Status: In Progress => Fix Released
>
> ** Changed in: ubuntuone-client (Ubuntu)
>       Status: Fix Released => Fix Committed
>
> ** Changed in: ubuntuone-client (Ubuntu)
>       Status: Fix Committed => Fix Released
>
> --
> BadTransition in ubuntuone-syncdaemon
> https://bugs.launchpad.net/bugs/420354
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Only the shallow know themselves.
  - Oscar Wilde

tags: added: bad-transition
gnomadic (gnomadic) on 2010-02-02
Changed in ubuntuone-client (Ubuntu):
status: Fix Released → Fix Committed
dobey (dobey) on 2010-02-18
Changed in ubuntuone-client (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers